Skip to main content
PATCH
/
v1
/
voice-agents
/
campaigns
/
{id}
Update a campaign's name
curl --request PATCH \
  --url https://api.tryhamsa.com/v1/voice-agents/campaigns/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Campaign Name"
}
'
{
  "success": true,
  "message": "Campaign updated successfully",
  "messageKey": "CAMPAIGN_UPDATED_SUCCESSFULLY",
  "data": {
    "id": "a8f7656f-098b-4c43-b165-7cfd2cc8ac50",
    "name": "Q1 Customer Outreach",
    "status": "SCHEDULED",
    "sendType": "NOW",
    "scheduledDate": "2025-12-01T09:00:00Z",
    "scheduledTimezone": "America/New_York",
    "timeRange": {
      "days": [
        "MONDAY",
        "TUESDAY",
        "WEDNESDAY"
      ],
      "startCallingTime": "09:00",
      "endCallingTime": "17:00"
    },
    "reservedConcurrency": 10,
    "webhookUrl": "https://example.com/webhook",
    "projectId": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
    "userId": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
    "voiceAgentId": "68f7656f-098b-4c43-b165-7cfd2cc8ac40",
    "phoneNumberId": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
    "createdAt": "2025-12-06T10:00:00.000Z",
    "updatedAt": "2025-12-06T10:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Path Parameters

id
string<uuid>
required

UUID of the campaign.

Example:

"a8f7656f-098b-4c43-b165-7cfd2cc8ac50"

Body

application/json
name
string
required

The new campaign name (1-100 characters).

Required string length: 1 - 100
Example:

"Updated Campaign Name"

Response

Successful response

success
boolean
Example:

true

message
string
Example:

"Campaign updated successfully"

messageKey
string
Example:

"CAMPAIGN_UPDATED_SUCCESSFULLY"

data
object